Status: Closed Start date: 2008-02-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version:    

Resolution: Invalid   

Description

Usually web applications, if localized, use language detected from browser.

The same should happen with Redmine.

Currently one can preselect language for guest users and each authenticated user can select a language for himself. The second

possibility should of course be kept, however for guests user an option to "use browser language" would be highly desired.

History

#1 - 2008-02-21 19:07 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Use the 'auto' value in the language drop-down and the language will be detected from the browser's settings.

That's how it works for this web site.

#2 - 2008-02-22 08:04 - Marcin Gil

- File redmine_lang.jpg added

I have no such setting in my Redmine installation.

Using version: 0.6.devel.1163

#3 - 2008-02-26 22:25 - Jean-Philippe Lang

The 'auto' value can be selected on 'My account', not in application settings.

By default, this value is set for the anonymous user so that the language is detected from the browser's settings.

Could run this query on your database:

select language from users where type = 'AnonymousUser'

 You should get a blank value.
